#
# spec file for package hid-multitouch
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# needssslcertforbuild


Name:           hid-multitouch
BuildRequires:  %kernel_module_package_buildreqs
License:        GPL-2.0
Group:          System/Kernel
Summary:        HID-multitouch KMP for SLEPOS
Version:        3.0
Release:        0.7.1
Source0:        hid-sp3.tar.bz2
Patch1:         HID-multitouch-add-support-for-Atmel-212c
Patch2:         HID-multitouch-Print-message-identifying-the-driver-from-KMP.patch
Patch100:       Makefile-include-fix.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %ix86 x86_64
%kernel_module_package pae default

%description
KMP to support HID-multitouch for SLEPOS.

%prep 
%setup -q -c -a 0
%patch1 -p1
%patch2 -p1
%patch100 -p1
echo "obj-y := drivers/hid/" > Makefile
echo 'hid-y := hid-core.o hid-input.o hid-debug.o hidraw.o
obj-m := hid.o hid-multitouch.o usbhid/
NOSTDINC_FLAGS := -I$(M)/include $(CFLAGS)' > drivers/hid/Makefile
echo "hid.ko
hid-multitouch.ko
usbhid.ko" > Module.supported

%build
# copy to each flavor
set -- *
for flavor in %flavors_to_build; do
  mkdir -p build-$flavor && cp -al "$@" build-$flavor
done
for flavor in %flavors_to_build; do
    make %{?jobs:-j %jobs} -C /usr/src/linux-obj/%_target_cpu/$flavor \
	 CONFIG_USB_KBD= \
	 CONFIG_USB_MOUSE= \
	 M=$(pwd)/build-$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
export BRP_PESIGN_FILES="*.ko"
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor \
	 CONFIG_USB_KBD= \
	 CONFIG_USB_MOUSE= \
	 M=$(pwd)/build-$flavor \
	 modules_install
done

%changelog
* Mon Jun 22 2015 eich@suse.com
- HID-multitouch-Print-message-identifying-the-driver-from-KMP.patch:
  Add message to identify driver (FATE#317933,bsc#930085).
  * Limit build to pae and default.
* Fri Jun 19 2015 tiwai@suse.de
- Support for Atmel touchscreen in both mouse and digitizer modes;
  just split from SP3, identical with the commit 49d8c7ff;
  provided as an additional KMP for SLEPOS (bnc#926703,bnc#924142,
  FATE#317933,bsc#930085)
